Bug 1975094 - /usr/share/domoticz/www/templates needs to be writeable by domoticz
Summary: /usr/share/domoticz/www/templates needs to be writeable by domoticz
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: domoticz
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-23 06:29 UTC by Stefan van der Eijk
Modified: 2022-01-14 01:25 UTC (History)
2 users (show)

Fixed In Version: domoticz-2021.1-9.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-14 01:25:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Stefan van der Eijk 2021-06-23 06:29:56 UTC
Description of problem:

In order for plugins to work, /usr/share/domoticz/www/templates needs to be writeable by domoticz.


Version-Release number of selected component (if applicable):

All.


How reproducible:

Install a plugin, for instance domoticz-plugins-manager by following the instructions on https://github.com/stas-demydiuk/domoticz-plugins-manager

When the plugin starts, it tries to copy a html and js file to /usr/share/domoticz/www/templates. This fails, which means that the plugin doesn't show in the custom menu tab.

Expected results:

When you change the ownership of the directory to domoticz:domoticz and restart the domoticz service, the files are copied and the plugin appears in the custom menu.

Comment 1 Michael Cronenworth 2022-01-04 01:18:41 UTC
I'll have to make it a symlink to /var/lib/domoticz/templates instead. Fedora tries to follow the FHS and the FHS demands that /usr be handled like a read-only filesystem. Upstream develops on a Windows and Raspberry Pi platform so they don't understand these concepts.

Comment 2 Fedora Update System 2022-01-04 04:51:58 UTC
FEDORA-2022-56465832c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-56465832c9

Comment 3 Fedora Update System 2022-01-05 01:14:23 UTC
FEDORA-2022-56465832c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-56465832c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-56465832c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-01-05 14:54:31 UTC
FEDORA-2022-56465832c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-56465832c9

Comment 5 Fedora Update System 2022-01-06 01:52:59 UTC
FEDORA-2022-56465832c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-56465832c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-56465832c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-01-14 01:25:57 UTC
FEDORA-2022-56465832c9 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.